/*
 * AXI4-Lite.c
 *
 *  Created on: Jun 16, 2021
 *      Author: I51028
 */

#include "AXI4-Lite.h"


 volatile uint32_t axi4literead(uint32_t address)
{

	uint32_t data;

	data = (uint32_t)(*(volatile int*) address);
	//data = (uint32_t)(*(volatile int*) address);
return data;
}

 volatile void axi4litewrite(uint32_t address,uint32_t data)
 {

 	*(volatile int*) address = data;

 }
